org.apache.uima.collection

## Interface CasInitializerDescription

- All Superinterfaces:
    Cloneable, MetaDataObject, ResourceCreationSpecifier, ResourceSpecifier, Serializable, XMLizable
  All Known Implementing Classes:
    CasInitializerDescription_impl

  Deprecated.
  As of v2.0, CAS Initializers are deprecated. A component that performs an operation like HTML detagging should instead be implemented as a "multi-Sofa" annotator. See org.apache.uima.examples.XmlDetagger for an example.

      @Deprecated
      public interface CasInitializerDescription
      extends ResourceCreationSpecifier

  An `CasInitializerDescription` contains all of the information needed to instantiate and use an `CasInitializer`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessingResourceMetaData` | `getCasInitializerMetaData()` Deprecated. Retrieves the metadata that describes the CasInitializer.

    - ### Methods inherited from interface org.apache.uima.resource.ResourceCreationSpecifier

      `doFullValidation, doFullValidation, getExternalResourceDependencies, getExternalResourceDependency, getFrameworkImplementation, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setFrameworkImplementation, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getCasInitializerMetaData

          ProcessingResourceMetaData getCasInitializerMetaData()

      Deprecated.
      Retrieves the metadata that describes the CasInitializer.
      Returns:
        the `ProcessingResourceMetaData` object containing the CasInitializer's metadata. This object can be modified.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.